PEEKFD(1)

NUME
peekfd - examinează descriptorii de fișiere ai proceselor care rulează

REZUMAT
peekfd [-8,--eight-bit-clean] [-n,--no-headers] [-c,--follow] [-d,--duplicates-removed] [-V,--version] [-h,--help] pid [descriptor_fișier] [descriptor_fișier] ...

DESCRIERE
peekfd se atașează la un proces care rulează și interceptează toate citirile și scrierile în descriptorii de fișiere. Puteți specifica numerele descriptorilor de fișiere pe care îi doriți sau îi puteți imprima pe toți.

OPȚIUNI

-8  Nu efectuează post-procesare asupra octeților citiți sau scriși.

-n  Nu afișează anteturi care indică sursa octeților descărcați.

-c  Afișează de asemenea, activitatea descriptorului de fișier solicitat în orice proces-copil nou creat.

-d  Elimină citirile/scrierile duplicate de la ieșire. Dacă vizualizați date într-un terminal cu ieșire repetată, această opțiune este probabil să vă fie utilă.

-v  Afișează informațiile despre versiune.

-h  Afișează un mesaj de ajutor.

FIȘIERE
/proc/*/fd
    Nu este folosit, dar este util pentru utilizator pentru a obține un număr bun de descriptoare de fișiere.

MEDIU
Nimic.

DIAGNOSTICE
Următoarele diagnostice pot fi emise la ieșirea de eroare standard:

Eroare la atașarea la pid <PID>
    A apărut o eroare necunoscută în timpul încercării de atașare la un proces, poate că trebuie să fiți root.

ERORI
Probabil multe. Nu fiți surprins dacă procesul pe care îl monitorizați moare.

AUTOR
Trent Waddington (trent.waddington@gmail.com)

CONSULTAȚI ȘI
ttysnoop(8)